<?php

try {
	/*
	* All Data
	*/

	$_mobulePrefix = 'cartreservation';


	$_attributes 	= array(
        'catalog_category' =>  array('cr_enable'),
        'catalog_product' => array('cr_enable', 'reserved_after_order')
	);

	$_tables		= array(
		'cartreservation_item',
		'cartreservation_log',
	);

	$_tablesFields = array();


	$_pathes = array(
		'/app/design/adminhtml/default/default/layout/cartreservation.xml',
		'/app/design/frontend/default/default/layout/cartreservation.xml',
		'/app/design/frontend/default/default/template/cartreservation/',
		'/app/design/frontend/base/default/layout/cartreservation.xml',
		'/app/design/frontend/base/default/template/cartreservation/',
		'/app/locale/en_US/Plumrocket_Cartreservation.csv',
		'/app/locale/en_US/template/email/cartreservation_expiration_email.html',
		'/app/code/local/Plumrocket/Cartreservation/',
		'/app/code/community/Plumrocket/Cartreservation/',
		'/app/etc/modules/Plumrocket_Cartreservation.xml',
		'/skin/frontend/default/default/css/cartreservation.css',
		'/skin/frontend/default/default/js/plumrocket/cartreservation/',
		'/skin/frontend/base/default/css/cartreservation.css',
		'/skin/frontend/base/default/js/plumrocket/cartreservation/',
		'/skin/frontend/base/default/images/plumrocket/cartreservation/',
		'/app/code/community/Plumrocket/Reservationaftercheckout/',
		'/app/etc/modules/Plumrocket_Reservationaftercheckout.xml',
	);

	$_cmsBlocks = array();

	/* end data */

	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");
	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');

	//remove attribute
	foreach($_attributes as $entityTypeName => $attributeNames){
		$entityTypeId = $setup->getEntityTypeId($entityTypeName);
		foreach($attributeNames as $attributeName){
			$setup->removeAttribute($entityTypeId, $attributeName);
		}
	}

	//remove tables
	foreach($_tables as $_tableName){
		$setup->run("DROP TABLE IF EXISTS `" . $resource->getTableName($_tableName) . "`;");
	}

	//remove tables fields
	foreach($_tablesFields as $_tableName => $_fields){
		foreach($_fields as $_field){
			try{
				$setup->run("ALTER TABLE `" . $resource->getTableName($_tableName) . "` DROP `" . $_field . "`;");
			} catch (Exception $e) {
				//echo '<b>' . $e->getMessage() . '</b><br/>';
			}
		}
	}

	//remove static blocks
	foreach($_cmsBlocks as $_identifier){
		$setup->run("DELETE FROM `" . $resource->getTableName('cms_block') . "` WHERE `identifier` = '".$_identifier."';");
	}
	//remove config
	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  '".$_mobulePrefix."/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = '".$_mobulePrefix."_setup'");

	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  'reservation_after_order/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = 'reservationaftercheckout_setup'");



	$basePath = dirname(__FILE__);
	foreach ($_pathes as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	exec('rm -rf ' . $basePath . '/var/cache');
	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';
?>
